DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Static Public Member Functions | List of all members
OFBitmanipTemplate< T > Class Template Reference

A template class for bit manipulations. More...

## Static Public Member Functions
static void | copyMem (const T *src, T *dest, const size_t count)
| copies specified number of elements from source to destination. More...
static void | moveMem (const T *src, T *dest, const size_t count)
| moves specified number of elements from source to destination. More...
static void | setMem (T *dest, const T value, const size_t count)
| sets specified number of elements in destination memory to a defined value More...
static void | zeroMem (T *dest, const size_t count)
| sets specified number of elements in destination memory to zero More...

## Detailed Description

### template<class T>
class OFBitmanipTemplate< T >

A template class for bit manipulations.

This class is used to perform platform independent operations on typed memory areas.

## Member Function Documentation

## ◆ copyMem()

template<class T >

static void OFBitmanipTemplate< T >::copyMem | ( | const T * | src,
|  | T * | dest,
|  | const size_t | count
| ) |  |
| inline static

copies specified number of elements from source to destination.

Both src and dest must be aligned according to T's align requirements. These memory areas must not overlap!

Parameters

  src | pointer to source memory
  dest | pointer to destination memory
  count | number of elements to be copied

Referenced by DiMonoCopyTemplate< T >::copy().

## ◆ moveMem()

template<class T >

static void OFBitmanipTemplate< T >::moveMem | ( | const T * | src,
|  | T * | dest,
|  | const size_t | count
| ) |  |
| inline static

moves specified number of elements from source to destination.

Both src and dest must be aligned according to T's align requirements. If src and dest are not equal, they must be at least sizeof(T) bytes apart. These memory areas may overlap.

Parameters

  src | pointer to source memory
  dest | pointer to destination memory
  count | number of elements to be moved

## ◆ setMem()

template<class T >

static void OFBitmanipTemplate< T >::setMem | ( | T * | dest,
|  | const T | value,
|  | const size_t | count
| ) |  |
| inline static

sets specified number of elements in destination memory to a defined value

Parameters

  dest | pointer to destination memory
  value | value to be set
  count | number of elements to be set

## ◆ zeroMem()

template<class T >

static void OFBitmanipTemplate< T >::zeroMem | ( | T * | dest,
|  | const size_t | count
| ) |  |
| inline static

sets specified number of elements in destination memory to zero

Parameters

  dest | pointer to destination memory
  count | number of elements to be set to zero

Referenced by DiMonoOutputPixelTemplate< T1, T2, T3 >::determineUsedValues(), and DiColorPixelTemplate< T >::Init().

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofbmanip.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1